Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Internal::Simplify::ExprInfo::BitsKnown Struct Reference

`#include <Simplify_Internal.h>`

## Public Member Functions
uint64_t | known_zeros () const
uint64_t | known_ones () const
bool | all_bits_known () const
BitsKnown | operator& (const BitsKnown &other) const
BitsKnown | operator| (const BitsKnown &other) const
BitsKnown | operator^ (const BitsKnown &other) const

## Public Attributes
uint64_t | mask
uint64_t | value

## Detailed Description

Definition at line 153 of file Simplify_Internal.h.

## Member Function Documentation

## ◆ known_zeros()

uint64_t Halide::Internal::Simplify::ExprInfo::BitsKnown::known_zeros | ( |  | ) | const
| inline

Definition at line 159 of file Simplify_Internal.h.

References Halide::cast(), and mask.

Referenced by operator&(), and operator|().

## ◆ known_ones()

uint64_t Halide::Internal::Simplify::ExprInfo::BitsKnown::known_ones | ( |  | ) | const
| inline

Definition at line 163 of file Simplify_Internal.h.

References mask, and value.

Referenced by operator&(), and operator|().

## ◆ all_bits_known()

bool Halide::Internal::Simplify::ExprInfo::BitsKnown::all_bits_known | ( |  | ) | const
| inline

Definition at line 167 of file Simplify_Internal.h.

References mask.

## ◆ operator&()

BitsKnown Halide::Internal::Simplify::ExprInfo::BitsKnown::operator& | ( | const BitsKnown & | other | ) | const
| inline

Definition at line 171 of file Simplify_Internal.h.

References Halide::cast(), known_ones(), and known_zeros().

## ◆ operator|()

BitsKnown Halide::Internal::Simplify::ExprInfo::BitsKnown::operator| | ( | const BitsKnown & | other | ) | const
| inline

Definition at line 179 of file Simplify_Internal.h.

References Halide::cast(), known_ones(), and known_zeros().

## ◆ operator^()

BitsKnown Halide::Internal::Simplify::ExprInfo::BitsKnown::operator^ | ( | const BitsKnown & | other | ) | const
| inline

Definition at line 187 of file Simplify_Internal.h.

References Halide::cast(), mask, and value.

## Member Data Documentation

## ◆ mask

uint64_t Halide::Internal::Simplify::ExprInfo::BitsKnown::mask

Definition at line 155 of file Simplify_Internal.h.

Referenced by all_bits_known(), known_ones(), known_zeros(), and operator^().

## ◆ value

uint64_t Halide::Internal::Simplify::ExprInfo::BitsKnown::value

Definition at line 157 of file Simplify_Internal.h.

Referenced by known_ones(), and operator^().

The documentation for this struct was generated from the following file:

- src/Simplify_Internal.h